<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classFEMB.html">FEMB</a></li><li class="navelem"><a class="el" href="classFEMB_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classFEMB_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:ac4c34ca717627fca7c3304d6a1e48982"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4c34ca717627fca7c3304d6a1e48982"></a>
<a class="el" href="classFEMB_1_1behavioral.html#ac4c34ca717627fca7c3304d6a1e48982">data_sources</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">control</span><span class="vhdlchar">.</span><span class="vhdlchar">FEMB</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar">.</span><span class="vhdlchar">fake_loopback_en</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">control</span><span class="vhdlchar">.</span><span class="vhdlchar">FEMB</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar">.</span><span class="vhdlchar">fake_loopback_en</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">control</span><span class="vhdlchar">.</span><span class="vhdlchar">FEMB</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar">.</span><span class="vhdlchar">fake_loopback_en</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">control</span><span class="vhdlchar">.</span><span class="vhdlchar">FEMB</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar">.</span><span class="vhdlchar">fake_loopback_en</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a176a19553b957bdcf9258ed632a44de9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a176a19553b957bdcf9258ed632a44de9"></a>
<a class="el" href="classFEMB_1_1behavioral.html#a176a19553b957bdcf9258ed632a44de9">COLDATA_Simulator</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classCOLDATA__Simulator.html">&lt;Entity COLDATA_Simulator&gt; </a></em></td></tr>
<tr class="memitem:a7d405f1a5e1d0d2c01e4051622b9394f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d405f1a5e1d0d2c01e4051622b9394f"></a>
<a class="el" href="classFEMB_1_1behavioral.html#a7d405f1a5e1d0d2c01e4051622b9394f">FEMB_Rx</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classFEMB__Rx.html">&lt;Entity FEMB_Rx&gt; </a></em></td></tr>
<tr class="memitem:aa63d48e99369aa2054b0792afbcd2264"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa63d48e99369aa2054b0792afbcd2264"></a>
<a class="el" href="classFEMB_1_1behavioral.html#aa63d48e99369aa2054b0792afbcd2264">CD_Stream_Processor</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classCD__Stream__Processor.html">&lt;Entity CD_Stream_Processor&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a8990b3324d1bf07ec47e5b476cbac747"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8990b3324d1bf07ec47e5b476cbac747"></a>
<a class="el" href="classFEMB_1_1behavioral.html#a8990b3324d1bf07ec47e5b476cbac747">convert_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4ae232aa6484554ce0cf518b2c8cbc01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ae232aa6484554ce0cf518b2c8cbc01"></a>
<a class="el" href="classFEMB_1_1behavioral.html#a4ae232aa6484554ce0cf518b2c8cbc01">fake_COLDATA</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_8b10b_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">LINK_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a58a0c7e706f0d98e9cc0fd102a6c9542"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a58a0c7e706f0d98e9cc0fd102a6c9542"></a>
<a class="el" href="classFEMB_1_1behavioral.html#a58a0c7e706f0d98e9cc0fd102a6c9542">real_COLDATA</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_8b10b_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">LINK_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1cf73f6d217f4e44e612de0ee5d40a01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1cf73f6d217f4e44e612de0ee5d40a01"></a>
<a class="el" href="classFEMB_1_1behavioral.html#a1cf73f6d217f4e44e612de0ee5d40a01">COLDATA_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_8b10b_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">LINK_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a714d6b0d7f208316301c38a116414e60"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a714d6b0d7f208316301c38a116414e60"></a>
<a class="el" href="classFEMB_1_1behavioral.html#a714d6b0d7f208316301c38a116414e60">FEMB_Rx_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.FEMB_Rx</b>  </td></tr>
<tr class="memitem:a02c2a9287f05525de86d4d4d27a7a507"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02c2a9287f05525de86d4d4d27a7a507"></a>
<a class="el" href="classFEMB_1_1behavioral.html#a02c2a9287f05525de86d4d4d27a7a507">fake_COLDATA_generator</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.COLDATA_Simulator</b>  </td></tr>
<tr class="memitem:a72b5f5274ebbb11049672d3a98c9e6e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72b5f5274ebbb11049672d3a98c9e6e8"></a>
<a class="el" href="classFEMB_1_1behavioral.html#a72b5f5274ebbb11049672d3a98c9e6e8">CD_Stream_Processor_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.CD_Stream_Processor</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="FEMB_8vhd_source.html#l00036">36</a> of file <a class="el" href="FEMB_8vhd_source.html">FEMB.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/FEMB/<a class="el" href="FEMB_8vhd_source.html">FEMB.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 14 2016 17:21:40 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
